U++ - Bug #815
Commit 7542 breaks ThelDE compilation with GCC
07/26/2014 09:32 AM - Jan Dolinar

Status: Approved Start date: 07/26/2014
Priority: Normal Due date:

Assignee: Jan Dolinar % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Compiling /build/buildd/upp-7542/uppsrc/CppBase/Cppltem.cpp
/build/buildd/upp-7542/uppsrc/CppBase/Cppltem.cpp: In member function 'void Upp::Cppltem::Dump(Upp::Stream&) const'":
/build/buildd/upp-7542/uppsrc/CppBase/Cppltem.cpp:32: error: no matching function for call to 'decode(const Upp::byte&,
Upp::<anonymous enums, const char [7], Upp::<anonymous enums, const char [10], Upp::<anonymous enumx, const char [8],
Upp::String)’
/build/buildd/upp-7542/uppsrc/CppBase/Cppltem.cpp:39: error: no matching function for call to 'decode(const Upp::byte&,
Upp::<anonymous enums, const char [7], Upp::<anonymous enums, const char [9], Upp::<anonymous enums>, const char [9],
Upp::<anonymous enums, const char [7], Upp::<anonymous enums, const char [11], Upp::String)'

Full log: https://launchpadlibrarian.net/180779422/buildlog_ubuntu-lucid-amd64.upp_7542-1~lucid0_FAILEDTOBUILD.txt.gz

History

#1 - 07/26/2014 09:32 AM - Jan Dolinar
- Subject changed from Commit 7452 breaks ThelDE compilation with GCC to Commit 7542 breaks ThelDE compilation with GCC

#2 - 07/26/2014 03:00 PM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Jan Dolinar

#3 - 07/27/2014 11:30 AM - Jan Dolinar

- File cppitem.log added

- Status changed from Ready for QA to In Progress

I'm kind of puzzled, why did you mark this Ready for QA before committing any fix...

Anyway, still the same problem in 7543. More verbose log from GCC 4.9.1 is attached. Actually, thanks to the macro expansions, it is insanely verbose -

23k lines because of a single error is bit excessive :-)

#4 - 07/27/2014 07:23 PM - Iiiaki Zabala

Same problem in Windows with MinGW. It affects to all my code (ide/Browser is used in Functions4U)

#5 - 07/28/2014 11:28 AM - Miroslav Fidler
- Status changed from In Progress to Ready for QA

| am sorry, something went wrong with virtual machine and commit has failed, without me noticing.
https://launchpadlibrarian.net/180779422/buildlog_ubuntu-lucid-amd64.upp_7542-1~lucid0_FAILEDTOBUILD.txt.gz

Should be OK now.

#6 - 07/29/2014 02:00 AM - Iivaki Zabala

It works for me. Thank you!

#7 - 07/29/2014 08:40 AM - Jan Dolinar
- Status changed from Ready for QA to Approved

Yes, | confirm it works now.
